<?php
namespace Teknisa\DF\Factories;

class Ger98700ControleFiscalFactory {

    protected $connection;

    public function __construct(\Doctrine\ORM\EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }

    public function getIdperaltcstfenf($params) {
        $sql = "SELECT IDPERALTCSTFENF FROM PARAMGERAL WHERE NRORG = :NRORG";

        $std = $this->connection->prepare($sql);
        $std->execute($params);

        return $std->fetch(\PDO::FETCH_ASSOC);
    }

    public function getImpostosObrigatorios($params) {
        $sql = "SELECT CDIMPOSTO FROM IMPOBRIGTPOPER WHERE IDENTRSAIDOP = :IDENTRSAIDOP AND CDTIPOOPER = :CDTIPOOPER AND NRORG = :NRORG";

        $std = $this->connection->prepare($sql);
        $std->execute($params);

        return $std->fetchAll();
    }

    public function getImpostoSubstTribut($params) {
        $sql = "SELECT CDIMPOSTO, NMIMPOSTO, SGIMPOSTO FROM IMPOSTO WHERE CDIMPOSTRIB = :CDIMPOSTO AND NRORG = :NRORG";

        $std = $this->connection->prepare($sql);
        $std->execute($params);

        return $std->fetch();
    }

    public function getTipooperParameters($params) {
        $sql = "SELECT IDGERIPIDESPA, CDIMPOSTOIPI FROM TIPOOPERAC WHERE IDENTRSAIDOP = :IDENTRSAIDOP AND CDTIPOOPER = :CDTIPOOPER AND NRORG = :NRORG";

        $std = $this->connection->prepare($sql);
        $std->execute($params);

        return $std->fetch(\PDO::FETCH_ASSOC);
    }
}
